Bug 1298438 - [RFE] revisit subscription-manager's caching behavior
[RFE] revisit subscription-manager's caching behavior
Status: NEW
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager (Show other bugs)
6.8
Unspecified Unspecified
low Severity unspecified
: rc
: ---
Assigned To: candlepin-bugs
John Sefler
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-14 00:51 EST by Chris Snyder
Modified: 2017-09-14 08:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Snyder 2016-01-14 00:51:17 EST
I think it is a good idea to revisit the caching in subman to maybe move to python-rhsm. The caching behavior seems to be on network bound operations. Furthermore it seems to have the most utility when the connection to the server is broken in someway (that is when most of the caches are used). Its almost like we are testing the connection object that is passed into the cache objects and returning the contents of said cache object if the connection object fails the test (the update from/to the server).

The suggestion is to move the caching to be part of python-rhsm. I would also like to add that it would be very nice for these modifications to include a method of determining the source of the returned value for all cached resources (basically it would be neat to have a method that would return the source of the last result).

These improvements could include a separate connection object that caches all interactions with the server but does not necessarily need to.
Comment 2 vritant 2016-08-01 16:33:09 EDT
Increasing the scope of this RFE, in order to not tie us to a specific implementation or purpose. basically, we need to redesign subscription-manager caching.

Note You need to log in before you can comment on or make changes to this bug.